> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smarthub/wisej.ai.smartsession.convertparametereventargs.md).

# SmartSession.ConvertParameterEventArgs

Namespace: **Wisej.AI**

Assembly: **Wisej.AI** (3.5.0.0)

{% tabs %}
{% tab title="C#" %}

```csharp
public class ConvertParameterEventArgs : HandledEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ConvertParameterEventArgs
    Inherits HandledEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) ConvertParameterEventArgs(session, name, value)

Initializes a new instance of the [ConvertParameterEventArgs](/ai/components/api/smarthub/wisej.ai.smartsession.convertparametereventargs.md) class with the specified parameter.

| Name        | Type                                                          | Description                                |
| ----------- | ------------------------------------------------------------- | ------------------------------------------ |
| **session** | [SmartSession](/ai/components/api/smartsession.md)            | The session associated with the event.     |
| **name**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name of the parameter to be converted. |
| **value**   | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Value to convert                           |

## Properties

### ![](/files/ptrKjmmRoQB76pvrIqh0) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the name of the parameter.

### ![](/files/ptrKjmmRoQB76pvrIqh0) Session

[SmartSession](/ai/components/api/smartsession.md): Gets the [SmartSession](/ai/components/api/smartsession.md) associated with the event.

### ![](/files/ptrKjmmRoQB76pvrIqh0) Value

[Object](https://docs.microsoft.com/dotnet/api/system.object): Gets or sets the value of the parameter after conversion.

## Used By

| Name                                                                                                                           | Description |
| ------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| [SmartSession.ConvertParameterEventHandler](/ai/components/api/smarthub/wisej.ai.smartsession.convertparametereventhandler.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smarthub/wisej.ai.smartsession.convertparametereventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
